mr_bones_    15/03/29 01:56:17

  Modified:             triptych-demo-0.ebuild ChangeLog
  Log:
  EAPI=5
  
  (Portage version: 2.2.14/cvs/Linux x86_64, unsigned Manifest commit)

Revision  Changes    Path
1.11                 games-puzzle/triptych-demo/triptych-demo-0.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-puzzle/triptych-demo/triptych-demo-0.ebuild?rev=1.11&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-puzzle/triptych-demo/triptych-demo-0.ebuild?rev=1.11&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-puzzle/triptych-demo/triptych-demo-0.ebuild?r1=1.10&r2=1.11

Index: triptych-demo-0.ebuild
===================================================================
RCS file: 
/var/cvsroot/gentoo-x86/games-puzzle/triptych-demo/triptych-demo-0.ebuild,v
retrieving revision 1.10
retrieving revision 1.11
diff -u -r1.10 -r1.11
--- triptych-demo-0.ebuild      17 Apr 2014 16:21:16 -0000      1.10
+++ triptych-demo-0.ebuild      29 Mar 2015 01:56:17 -0000      1.11
@@ -1,7 +1,8 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/games-puzzle/triptych-demo/triptych-demo-0.ebuild,v 
1.10 2014/04/17 16:21:16 ulm Exp $
+# $Header: 
/var/cvsroot/gentoo-x86/games-puzzle/triptych-demo/triptych-demo-0.ebuild,v 
1.11 2015/03/29 01:56:17 mr_bones_ Exp $
 
+EAPI=5
 inherit eutils games
 
 DESCRIPTION="fast-paced tetris-like puzzler"
@@ -15,17 +16,19 @@
 RESTRICT="mirror bindist strip"
 
 DEPEND="x11-libs/libXext
-       media-libs/libsdl
+       media-libs/libsdl[opengl,sound,video]
        virtual/opengl"
-RDEPEND=""
+RDEPEND=${DEPEND}
+
+QA_PREBUILT="${GAMES_PREFIX_OPT}/${PN}/triptych 
${GAMES_PREFIX_OPT}/${PN}/setup"
 
 S=${WORKDIR}/triptych
 
 src_install() {
        local dir=${GAMES_PREFIX_OPT}/${PN}
-       dodir "${dir}" "${GAMES_BINDIR}"
+       dodir "${dir}"
 
-       cp -pPR * "${D}"/${dir}/
+       cp -pPR * "${D}"/${dir}/ || die
        games_make_wrapper triptych ./triptych "${dir}"
 
        prepgamesdirs
@@ -38,9 +41,10 @@
        for f in triptych.{clr,cnt,scr} ; do
                f="${ROOT}/${GAMES_PREFIX_OPT}/${PN}/${f}"
                if [[ ! -e ${f} ]] ; then
-                       touch "${f}"
-                       chmod 660 "${f}"
-                       chown ${GAMES_USER}:${GAMES_GROUP} "${f}"
+                       touch "${f}" \
+                               && chmod 660 "${f}" \
+                               && chown ${GAMES_USER}:${GAMES_GROUP} "${f}" \
+                               || die
                fi
        done
 }



1.11                 games-puzzle/triptych-demo/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-puzzle/triptych-demo/ChangeLog?rev=1.11&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-puzzle/triptych-demo/ChangeLog?rev=1.11&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-puzzle/triptych-demo/ChangeLog?r1=1.10&r2=1.11

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-puzzle/triptych-demo/ChangeLog,v
retrieving revision 1.10
retrieving revision 1.11
diff -u -r1.10 -r1.11
--- ChangeLog   17 Apr 2014 16:21:16 -0000      1.10
+++ ChangeLog   29 Mar 2015 01:56:17 -0000      1.11
@@ -1,6 +1,9 @@
 # ChangeLog for games-puzzle/triptych-demo
-# Copyright 2000-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/games-puzzle/triptych-demo/ChangeLog,v 1.10 
2014/04/17 16:21:16 ulm Exp $
+# Copyright 2000-2015 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/games-puzzle/triptych-demo/ChangeLog,v 1.11 
2015/03/29 01:56:17 mr_bones_ Exp $
+
+  29 Mar 2015; Michael Sterrett <[email protected]> triptych-demo-0.ebuild:
+  EAPI=5
 
   17 Apr 2014; Ulrich Müller <[email protected]> triptych-demo-0.ebuild:
   Fix LICENSE, add mirror and bindist restrictions, update SRC_URI, bug 505728.




Reply via email to